Loading...
Searching...
No Matches
Amplifier Internal API

## Functions

int | frontamp_set_conf (AMP *amp, hamlib_token_t token, const char *val)
| Set an amplifier state value from alpha input.
int | frontamp_get_conf2 (AMP *amp, hamlib_token_t token, char *val, int val_len)
| Query data from an amplifier state in alpha form.

## Detailed Description

## Function Documentation

## frontamp_get_conf2()

int frontamp_get_conf2 | ( | AMP * | amp,
|  | hamlib_token_t | token,
|  | char * | val,
|  | int | val_len )

Query data from an amplifier state in alpha form.

Parameters

  amp | The AMP handle.
  token | TOK_... specify which data to query.
  val | Result.

Assumes amp != NULL and val != NULL.

Returns
  RIG_OK or a negative value on error.

Return values

  RIG_OK | TOK_... value queried successfully.
  RIG_EINVAL | TOK_.. value not queried.

See also
  frontamp_set_conf()

## frontamp_set_conf()

int frontamp_set_conf | ( | AMP * | amp,
|  | hamlib_token_t | token,
|  | const char * | val )

Set an amplifier state value from alpha input.

Parameters

  amp | The AMP handle.
  token | TOK_... specify which value to set.
  val | Input.

Assumes amp != NULL and val != NULL.

Returns
  RIG_OK or a negative value error.

Return values

  RIG_OK | TOK_... value set successfully.
  RIG_EINVAL | TOK_.. value not set.

See also
  frontamp_get_conf()